using ExtensionMethods;

using Xunit;

namespace ExtensionsTests {

  public class ObjectExtensions {

    private class DummyClass {
      public string? Test { get; set; }
    }

    [Fact]
    public void ToJson() {
      var json = new DummyClass {
        Test = "Test"
      }.ToJson();

      Assert.Equal("{\"test\":\"Test\"}", json);
    }
  }
}
